#include <bits/stdc++.h>
using namespace std;
bool is_pal(string &s){
    sort(s.begin(),s.end());
    //cout<<s<<endl;
    int brnech=0,br=0;
    for(int i=0;i<s.size();i++){
        br++;
        if(i==s.size()-1 || s[i]!=s[i+1]){
            if(br%2==1){
                brnech++;
            }
            //cout<<br<<endl;
            br=0;
        }
    }
    if(s.size()%2==0){
        return brnech==0;
    }
    return brnech==1;
}
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin>>n;
    string s;
    for(int i=0;i<n;i++){
        cin>>s;
        cout<<is_pal(s);
    }
    return 0;
}
